Package com.independentsoft.office.spreadsheet

# Class Column

java.lang.Object
com.independentsoft.office.spreadsheet.Column

public class Column extends Object
The Class Column.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Column()`
  Instantiates a new column.
  `Column​(int firstColumn, int lastColumn)`
  Instantiates a new column.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Column`
  `clone()`
  `int`
  `getFirstColumn()`
  Gets the first column.
  `int`
  `getLastColumn()`
  Gets the last column.
  `int`
  `getOutlineLevel()`
  Gets the outline level.
  `int`
  `getStyleID()`
  Gets the style id.
  `double`
  `getWidth()`
  Gets the width.
  `boolean`
  `hasCustomWidth()`
  Checks for custom width.
  `boolean`
  `isBestFit()`
  Checks if is best fit.
  `boolean`
  `isCollapsed()`
  Checks if is collapsed.
  `boolean`
  `isHidden()`
  Checks if is hidden.
  `boolean`
  `isShowPhonetic()`
  Checks if is show phonetic.
  `void`
  `setBestFit​(boolean bestFit)`
  Sets the best fit.
  `void`
  `setCollapsed​(boolean isCollapsed)`
  Sets the collapsed.
  `void`
  `setCustomWidth​(boolean hasCustomWidth)`
  Sets the custom width.
  `void`
  `setFirstColumn​(int firstColumn)`
  Sets the first column.
  `void`
  `setHidden​(boolean isHidden)`
  Sets the hidden.
  `void`
  `setLastColumn​(int lastColumn)`
  Sets the last column.
  `void`
  `setOutlineLevel​(int outlineLevel)`
  Sets the outline level.
  `void`
  `setShowPhonetic​(boolean showPhonetic)`
  Sets the show phonetic.
  `void`
  `setStyleID​(int styleID)`
  Sets the style id.
  `void`
  `setWidth​(double width)`
  Sets the width.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Column

    public Column()
    Instantiates a new column.

  - ### Column

    public Column​(int firstColumn, int lastColumn)
    Instantiates a new column.
    Parameters:
      `firstColumn` - the first column
      `lastColumn` - the last column

- ## Method Details

  - ### clone

    public Column clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isBestFit

    public boolean isBestFit()
    Checks if is best fit.
    Returns:
      true, if is best fit

  - ### setBestFit

    public void setBestFit​(boolean bestFit)
    Sets the best fit.
    Parameters:
      `bestFit` - the new best fit

  - ### isCollapsed

    public boolean isCollapsed()
    Checks if is collapsed.
    Returns:
      true, if is collapsed

  - ### setCollapsed

    public void setCollapsed​(boolean isCollapsed)
    Sets the collapsed.
    Parameters:
      `isCollapsed` - the new collapsed

  - ### hasCustomWidth

    public boolean hasCustomWidth()
    Checks for custom width.
    Returns:
      true, if successful

  - ### setCustomWidth

    public void setCustomWidth​(boolean hasCustomWidth)
    Sets the custom width.
    Parameters:
      `hasCustomWidth` - the new custom width

  - ### isHidden

    public boolean isHidden()
    Checks if is hidden.
    Returns:
      true, if is hidden

  - ### setHidden

    public void setHidden​(boolean isHidden)
    Sets the hidden.
    Parameters:
      `isHidden` - the new hidden

  - ### getLastColumn

    public int getLastColumn()
    Gets the last column.
    Returns:
      the last column

  - ### setLastColumn

    public void setLastColumn​(int lastColumn)
    Sets the last column.
    Parameters:
      `lastColumn` - the new last column

  - ### getFirstColumn

    public int getFirstColumn()
    Gets the first column.
    Returns:
      the first column

  - ### setFirstColumn

    public void setFirstColumn​(int firstColumn)
    Sets the first column.
    Parameters:
      `firstColumn` - the new first column

  - ### getOutlineLevel

    public int getOutlineLevel()
    Gets the outline level.
    Returns:
      the outline level

  - ### setOutlineLevel

    public void setOutlineLevel​(int outlineLevel)
    Sets the outline level.
    Parameters:
      `outlineLevel` - the new outline level

  - ### isShowPhonetic

    public boolean isShowPhonetic()
    Checks if is show phonetic.
    Returns:
      true, if is show phonetic

  - ### setShowPhonetic

    public void setShowPhonetic​(boolean showPhonetic)
    Sets the show phonetic.
    Parameters:
      `showPhonetic` - the new show phonetic

  - ### getStyleID

    public int getStyleID()
    Gets the style id.
    Returns:
      the style id

  - ### setStyleID

    public void setStyleID​(int styleID)
    Sets the style id.
    Parameters:
      `styleID` - the new style id

  - ### getWidth

    public double getWidth()
    Gets the width.
    Returns:
      the width

  - ### setWidth

    public void setWidth​(double width)
    Sets the width.
    Parameters:
      `width` - the new width